const { merge } = require('webpack-merge');
const common = require('./webpack.common.js');
const CopyPlugin = require("copy-webpack-plugin");
const { HotModuleReplacementPlugin } = require('webpack');

module.exports = merge(common, {
    devtool: 'inline-source-map',
    mode: 'development',
    devServer: {
        static: './dist',
        hot: true
    },
    plugins: [
        new CopyPlugin({
            patterns: [{ from: ".", to: "../", context: "public" }],
            options: {},
        }),
        new HotModuleReplacementPlugin()
    ]
});

if (module.hot) {
    module.hot.accept('styles.css', () => {
      const baseStyle = window.document.getElementById('js-style')
      baseStyle.setAttribute('href', 'styles.css?v=' + new Date().valueOf)
    })
  }